import { QuizQuestionBase, QuestionHint, QuestionBranchingRule } from './shared';

export declare const UPLOAD_FILE_TYPES_MAP: {
    readonly picture: "Изображения";
    readonly video: "Видео";
    readonly audio: "Аудио";
    readonly document: "Документ";
};
export type UploadFileType = keyof typeof UPLOAD_FILE_TYPES_MAP;
export interface QuizQuestionFile extends QuizQuestionBase {
    type: "file";
    content: {
        id: string;
        /** Чекбокс "Необязательный вопрос" */
        required: boolean;
        /** Чекбокс "Внутреннее название вопроса" */
        innerNameCheck: boolean;
        /** Поле "Внутреннее название вопроса" */
        innerName: string;
        /** Чекбокс "Автозаполнение адреса" */
        autofill: boolean;
        type: UploadFileType;
        hint: QuestionHint;
        rule: QuestionBranchingRule;
        back: string | null;
        originalBack: string | null;
    };
}
